## org.apache.xml.utils
Class NameSpace

    java.lang.Object
      |
      +--org.apache.xml.utils.NameSpace

public class NameSpace
extends java.lang.Object
implements java.io.Serializable

A representation of a namespace. One of these will be pushed on the namespace stack for each element.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Field Summary
`NameSpace` `m_next` Next NameSpace element on the stack.
`java.lang.String` `m_prefix` Prefix of this NameSpace element.
`java.lang.String` `m_uri` Namespace URI of this NameSpace element.

Constructor Summary
`NameSpace(java.lang.String prefix, java.lang.String uri)` Construct a namespace for placement on the result tree namespace stack.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_next

    public NameSpace m_next

  Next NameSpace element on the stack.

### m_prefix

    public java.lang.String m_prefix

  Prefix of this NameSpace element.

### m_uri

    public java.lang.String m_uri

  Namespace URI of this NameSpace element.

Constructor Detail

### NameSpace

    public NameSpace(java.lang.String prefix,
                     java.lang.String uri)

  Construct a namespace for placement on the result tree namespace stack.
  Parameters:
    `prefix` - Prefix of this element
    `uri` - URI of this element

Copyright © 2006 Apache XML Project. All Rights Reserved.